Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentcreatedocumentfragment Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentcreatedocumentfragment (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "createDocumentFragment()" method creates an empty DocumentFragment object. Retrieve the entire DOM document and invoke its "createDocumentFragment()" method. The content, name, type and value of the newly created object are output.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-35CB04B5

Definition at line 43 of file documentcreatedocumentfragment.java.

## Constructor & Destructor Documentation

documentcreatedocumentfragment::documentcreatedocumentfragment | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 45 of file documentcreatedocumentfragment.java.
    00046  {
    00047       super(factory);
    00048
    00049    }

## Member Function Documentation

String documentcreatedocumentfragment::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file documentcreatedocumentfragment.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentcreatedocumentfragment";
    00074    }

void documentcreatedocumentfragment::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file documentcreatedocumentfragment.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(documentcreatedocumentfragment.class,args);
    00077    }

void documentcreatedocumentfragment::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 51 of file documentcreatedocumentfragment.java. References DOMTestCase::assertEquals(), DOMTestCase::assertNull(), and DOMTest::load().
    00051                                                     {
    00052       Document doc;
    00053       DocumentFragment newDocFragment;
    00054       NodeList children;
    00055       int length;
    00056       String newDocFragmentName;
    00057       int newDocFragmentType;
    00058       String newDocFragmentValue;
    00059       doc = load("staff");
    00060       newDocFragment = doc.createDocumentFragment();
    00061       children = newDocFragment.getChildNodes();
    00062       length = (int)children.getLength();
    00063       assertEquals("length",0,length);
    00064       newDocFragmentName = newDocFragment.getNodeName();
    00065       assertEquals("name","#document-fragment",newDocFragmentName);
    00066       newDocFragmentType = (int)newDocFragment.getNodeType();
    00067       assertEquals("type",11,newDocFragmentType);
    00068       newDocFragmentValue = newDocFragment.getNodeValue();
    00069       assertNull("value",newDocFragmentValue);
    00070
    00071    }

The documentation for this class was generated from the following file:

- documentcreatedocumentfragment.java